org.eclipse.rdf4j.rio.turtlestar

## Class TurtleStarParser

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRDFParser
  - - org.eclipse.rdf4j.rio.turtle.TurtleParser
    - - org.eclipse.rdf4j.rio.turtlestar.TurtleStarParser

- All Implemented Interfaces:
    RDFParser

      public class TurtleStarParser
      extends TurtleParser

  RDF parser for Turtle-star (an extension of Turtle that adds RDF-star support).
  Author:
    Pavel Mihaylov

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.rio.RDFParser

      `RDFParser.DatatypeHandling`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.rio.turtle.TurtleParser

      `object, predicate, subject`

    - ### Fields inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFParser

      `rdfHandler, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TurtleStarParser()` Creates a new TurtleStarParser that will use a `SimpleValueFactory` to create RDF-star model objects.
    `TurtleStarParser(ValueFactory valueFactory)` Creates a new TurtleStarParser that will use the supplied ValueFactory to create RDF-star model objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RDFFormat` | `getRDFFormat()` Gets the RDF format that this parser can parse.
    `protected Value` | `parseValue()` Parses an RDF value.

    - ### Methods inherited from class org.eclipse.rdf4j.rio.turtle.TurtleParser

      `getLineNumber, getSupportedSettings, parse, parse, parseAnnotation, parseBase, parseCollection, parseDirective, parseImplicitBlank, parseLongString, parseNodeID, parseNumber, parseObject, parseObjectList, parsePredicate, parsePredicateObjectList, parsePrefixID, parseQNameOrBoolean, parseQuotedLiteral, parseQuotedString, parseStatement, parseString, parseSubject, parseTriples, parseTripleValue, parseURI, peekCodePoint, peekIsTripleValue, processComment, readCodePoint, reportError, reportFatalError, reportFatalError, reportLocation, reportStatement, reportWarning, skipWSC, throwEOFException, unread, unread, verifyCharacterOrFail`

    - ### Methods inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFParser

      `clear, clearBNodeIDMap, createBNode, createBNode, createLiteral, createLiteral, createNode, createNode, createStatement, createStatement, createURI, datatypeHandling, getNamespace, getParseErrorListener, getParseLocationListener, getParserConfig, getRDFHandler, initializeNamespaceTableFromConfiguration, preserveBNodeIDs, reportError, reportError, reportError, reportError, reportFatalError, reportFatalError, reportFatalError, reportLocation, reportWarning, resolveURI, set, setBaseURI, setBaseURI, setDatatypeHandling, setNamespace, setParseErrorListener, setParseLocationListener, setParserConfig, setPreserveBNodeIDs, setRDFHandler, setStopAtFirstError, setValueFactory, setVerifyData, stopAtFirstError, verifyData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.rio.RDFParser

      `parse, parse`

- - ### Constructor Detail

    - #### TurtleStarParser

          public TurtleStarParser()

      Creates a new TurtleStarParser that will use a `SimpleValueFactory` to create RDF-star model objects.

    - #### TurtleStarParser

          public TurtleStarParser(ValueFactory valueFactory)

      Creates a new TurtleStarParser that will use the supplied ValueFactory to create RDF-star model objects.
      Parameters:
        `valueFactory` - A ValueFactory.

  - ### Method Detail

    - #### getRDFFormat

          public RDFFormat getRDFFormat()

      Description copied from interface: `RDFParser`
      Gets the RDF format that this parser can parse.
      Specified by:
        `getRDFFormat` in interface `RDFParser`
      Overrides:
        `getRDFFormat` in class `TurtleParser`

    - #### parseValue

          protected Value parseValue()
                              throws IOException,
                                     RDFParseException,
                                     RDFHandlerException

      Description copied from class: `TurtleParser`
      Parses an RDF value. This method parses uriref, qname, node ID, quoted literal, integer, double and boolean.
      Overrides:
        `parseValue` in class `TurtleParser`
      Throws:
        `IOException`
        `RDFParseException`
        `RDFHandlerException`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.